; Mueve la bola de izquierda a derecha entre dos columnas.
org     $8000

ld      a, $02                  ; A = 2
out     ($fe), a                ; Pone el borde en rojo
ld      a, $00                  ; A = 0
ld      (ballRotation), a       ; Pone la rotación de la bola a 0

Loop:
call    PrintBall               ; Imprime la bola

loop_cont:
ld      b, $08                  ; Mueve la bola 8 píxeles a la derecha
loopRight:
exx                             ; Intercambia el valor de los registros para preservar B
ld      a, (ballRotation)       ; Recupera la rotación de la bola
inc     a                       ; Incrementa la rotación
ld      (ballRotation), a       ; Guarda el valor de la rotación
call    PrintBall               ; Imprime la bola
exx                             ; Intercambia el valor de los registros para recuperar B
halt                            ; Se sincroniza con el refresco de la pantalla
djnz    loopRight               ; Hasta que B = 0

ld      a, $00                  ; A = 0
ld      (ballRotation), a       ; Pone la rotación de la bola a 0

ld      b, $08                  ; Mueve la bola 8 píxeles a la derecha
loopLeft:
exx                             ; Intercambia el valor de los registros para preservar B
ld      a, (ballRotation)       ; Recupera la rotación de la bola
dec     a                       ; Decrementa la rotación
ld      (ballRotation), a       ; Guarda el valor de la rotación
call    PrintBall               ; Imprime la bola
exx                             ; Intercambia el valor de los registros para recuperar B
halt                            ; Se sincroniza con el refresco de la pantalla
djnz    loopLeft                ; Hasta que B = 0

ld      a, $00                  ; A = 0
ld      (ballRotation), a       ; Pone la rotación de la bola a 0

jr      loop_cont               ; Bucle infinito

include "Sprite.asm"
include "Video.asm"

end     $8000